| Home | Libraries | People | FAQ | More

## Class template last_value

boost::last_value — Evaluate an InputIterator sequence and return the last value in the sequence.

## Synopsis

    // In header: <boost/last_value.hpp>

    template<typename T>
    class last_value {
    public:
      // types
      typedef T result_type;

      // invocation
      template<typename InputIterator>
        result_type operator()(InputIterator, InputIterator) const;
    };

## Description

### `last_value` invocation

1.     template<typename InputIterator>
         result_type operator()(InputIterator first, InputIterator last) const;

   Requires: | `first != last`
   Effects: | Dereferences every iterator in the sequence `[first, last)`.
   Returns: | The result of dereferencing the iterator `last-1`.

### Specializations

- Class last_value<void>